﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace F104309
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
            this.chartControl1.ShowScrollBars = true;
            this.chartControl1.Series.Clear();

            this.chartControl1.PrimaryXAxis.Range = new Syncfusion.Windows.Forms.Chart.MinMaxInfo(0, 120, 20);
            
           ChartSeries series =new ChartSeries("CP Load");
           series.Type = ChartSeriesType.StackingColumn;
            for (int i = 1; i < 120; i = i + 3)
            {
                series.Points.Add(i, i+20);
            }

            ChartSeries series1 = new ChartSeries("Netwrok Load");
            series1.Type = ChartSeriesType.StackingColumn;
            for (int i = 1; i < 120; i = i + 3)
            {
                series1.Points.Add(i, i + 45);
            }
            this.chartControl1.Series.Add(series);
            this.chartControl1.Series.Add(series1);

            this.chartControl1.Series[0].Style.Interior = new Syncfusion.Drawing.BrushInfo(200, new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.ForwardDiagonal, System.Drawing.Color.Green, System.Drawing.Color.Green));

            this.chartControl1.PrimaryXAxis.DrawGrid = false;

            this.chartControl1.PrimaryXAxis.ZoomFactor = 0.05;

            this.chartControl1.Redraw(true);
        }
    }
}
